Skip to content

Budget Flights for a given Campaign Audit Log

Request

Get a list changes to this campaign's budget flights

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
campaign_idintegerrequired

Numeric ID of the campaign

Query
page_limitinteger, [ 1 .. 1000 ]

Number of elements in the collection to retrieve

Example:page_limit=100
page_offsetinteger, [ 0 .. 1000 ]

Index of the first element in the collection to retrieve

Example:page_offset=0
GET
/campaigns/{campaign_id}/budget_flights/history
curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/campaigns/{campaign_id}/budget_flights/history?page_limit=100&page_offset=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Audit log response

Bodyapplication/json
dataArray of objects or null
metaobject(pagination metadata)
Response
{ "data": [ {} ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" } }